/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 */

/*
 * $Id: StatBean.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.spec.render.common;

public class StatBean {
    private String formOneOutput = "";
    private String formTwoOutput = "";
    private String text = "oldValue";
    
    /** Creates a new instance of StatBean */
    public StatBean() {
    }
    
    public String getForm1() {
        return "";
    }
    
    public void setForm1(String form1) {
        this.setFormOneOutput(form1);
        this.setFormTwoOutput("");
    }
    
    public String getForm2() {
        return "";
    }
    
    public void setForm2(String form2) {
        this.setFormOneOutput("");
        this.setFormTwoOutput(form2);
    }
    
    public String getFormOneOutput() {
        return formOneOutput;
    }
    
    public void setFormOneOutput(String formOneOutput) {
        this.formOneOutput = formOneOutput;
    }
    
    public String getFormTwoOutput() {
        return formTwoOutput;
    }
    
    public void setFormTwoOutput(String formTwoOutput) {
        this.formTwoOutput = formTwoOutput;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }   
}
